<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Carbon\Carbon;

class dateComponent extends Component
{
    public $datelabel; 
    public $date;
    public $labelneed; 
    
    public function __construct($datelabel = null,$date = null,$labelneed = null)
    {
        $this->datelabel = $datelabel;
        $this->labelneed = $labelneed;
        
        if($date){
            
            $this->date = Carbon::parse($date)->format('d-m-Y');
        
        }else{
            
            $this->date = Carbon::now()->format('d-m-Y');
        }
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.date-component');
    }
}
