<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\Support\Facades\Auth;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use App\Models\Menuitems;
use App\Models\menu;

class navbarComponent extends Component
{
    
    public $menus;
    public $formCount = array();
    public $approvalCount;
    
    public function __construct()
    {
        $menus = menu::all();
        $user = Auth::user();
        $formcollection = collect();

        $approvalpermissionCount = 0; 
        
        foreach($menus as $menu_record){

            //query to get menuitems or form name for respective menu
           $menu_record->menuitems = Menuitems::select('*')
                                   ->where('menu_id',$menu_record->id)
                                   ->get();
           $permissionCount = 0;
                                  
            foreach($menu_record->menuitems as $menu){
                
                $Permission =  Permission::select('name')
                                    ->where('form_id',$menu->id);
                
                $Permissionarray = $Permission->where('name','not like','%approve%')
                                            ->get()->toArray();

                $userhasPermission = $user->hasAnyPermission($Permissionarray);  
                
                if($userhasPermission == true){

                    $permissionCount += 1;
                }

                $approvePermission =  Permission::select('name')
                                    ->where('form_id',$menu->id);

                $approvalpermission =  $approvePermission->where('name','like','%approve%')
                                                  ->get()->toArray();
                
                $userhasApprovals = $user->hasAnyPermission($approvalpermission);   
                
                if($userhasApprovals == true){

                    $approvalpermissionCount += 1;
                }
                

            }

           
           
            $this->formCount[$menu_record->name] =  $permissionCount;
            $this->approvalCount = $approvalpermissionCount;
            

        }

    }

   
    public function render()
    {
        
        return view('components.navbar-component');
    }
}
