<div>
        
  <nav class="navbar fixed-top navbar-expand-lg navbar-dark" style="background-color: #ff2e38;">
      <a class="navbar-brand" href="#">SKY v2.0</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-4">
          
          @if ($formCount['Admin'] > 0)
            <!--Settings Menu Starts Here -->
              <li class="nav-item dropdown has-megamenu nav-menu active">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Admin</a>
                <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                  <div class="row">
                    <div class="col-md-3">
                        <h5><b>Master</b></h5>
                        <ul class="list-unstyled">
                          @can('view users')
                            <li><a class="dropdown-item" href="/users">Users</a></li>
                          @endcan
                          @can('view user roles')
                            <li><a class="dropdown-item" href="/userroles">User Roles</a></li>
                          @endcan
                          @can('view roles & permissions')
                            <li><a class="dropdown-item" href="/rolespermission">Roles & Permissions</a></li>
                          @endcan
                          @can('view menu items')
                            <li><a class="dropdown-item" href="/menuitems">Menu Items</a></li>
                          @endcan  
                          @can('view company')
                            <li><a class="dropdown-item" href="/company">Company</a></li>
                          @endcan
                          @can('view group company')
                           <li><a class="dropdown-item" href="/groupcompany">Group Company</a></li>
                          @endcan
                          @can('view company address')
                          <li><a class="dropdown-item" href="/companyaddress">Company Address</a></li>
                         @endcan
                          @can('view division')
                            <li><a class="dropdown-item" href="/division">Division</a></li>
                          @endcan
                          @can('view tax')
                          <li><a class="dropdown-item" href="/tax">Tax</a></li>
                          @endcan
                          @can('view hsn')
                          <li><a class="dropdown-item" href="/hsn">HSN Code</a></li>
                          @endcan
                          @can('view asset category')
                          <li><a class="dropdown-item" href="/assetcategory">Asset Category</a></li>
                          @endcan
                          @can('view asset group')
                          <li><a class="dropdown-item" href="/assetgroup">Asset Group</a></li>
                          @endcan
                          @can('view asset')
                          <li><a class="dropdown-item" href="/asset">Asset</a></li>
                          @endcan
                          @can('view eb meter master')
                          <li><a class="dropdown-item" href="/ebmetermaster">EB Meter Master</a></li>
                          @endcan
                          @role('ERP')
                            <li><a class="dropdown-item" href="/accountspostingpush">Accounts Posting</a></li>
                          @endrole
                        </ul>
                      </div>
                      <div class="col-md-3">
                        <h5><b>Entry</b></h5>
                        <ul class="list-unstyled">
                          @can('view rise ticket')
                          <li><a class="dropdown-item" href="/riseticket">Raise Ticket</a></li>
                          @endcan
                         
                        </ul>
                      </div>
                  </div>
                </div>
              </li>
              @endif
               <!--Settings Ends Starts Here -->

                <!--Marketing Starts Here -->
              @if ($formCount['Marketing'] > 0)
              <li class="nav-item dropdown has-megamenu nav-menu active">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Marketing</a>
                <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                  <div class="row">
                      <div class="col-md-3">
                        <h5><b>Master</b></h5>
                        <ul class="list-unstyled">
                          @can('view branch creation')
                          <li><a class="dropdown-item" href="/branchcreation">Branch </a></li>
                          @endcan
                          @can('view staff branch creation')
                          <li><a class="dropdown-item" href="/staffbranchcreation">Branch Salespersons </a></li>
                          @endcan
                          @can('view discount reason')
                          <li><a class="dropdown-item" href="/discountreason">Discount Reason</a></li>
                          @endcan

                          @can('view collection followup comments')
                          <li><a class="dropdown-item" href="/collectionfollowupcomments">Collection Followup Comments</a></li>
                          @endcan
                          
                        </ul>
                      </div>
                      <div class="col-md-3">
                        <h5><b>Entry</b></h5>
                        <ul class="list-unstyled">
                          @can('view collection form')
                          <li><a class="dropdown-item" href="/collectionform">Collection Form</a></li>
                          @endcan
                          @can('view sales discount')
                          <li><a class="dropdown-item" href="/salesdiscount">Sales Discount</a></li>
                          @endcan
                          @can('view collection followup')
                          <li><a class="dropdown-item" href="/collectionfollowup">Collection Followup</a></li>
                          @endcan
                          @can('view collection projection')
                          <li><a class="dropdown-item" href="/collectionprojection">Collection Projection</a></li>
                          @endcan
                        </ul>
                      </div>
                    </div>
                </div>
              </li>
            @endif
            <!--Marketing Ends Here -->

             <!--Marketing Starts Here -->
             @if ($formCount['Sales'] > 0)
             <li class="nav-item dropdown has-megamenu nav-menu active">
               <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Sales</a>
               <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                 <div class="row">
                    <div class="col-md-3">
                        <h5><b>Master</b></h5>
                        <ul class="list-unstyled">
                          @can('view customer creation')
                          <li><a class="dropdown-item" href="/customercreation">Customers</a></li>
                          @endcan
                          @can('view sales return reason')
                          <li><a class="dropdown-item" href="/salesreturnreason">Sales Return Reason</a></li>
                          @endcan
                          @can('view customer responsibility')
                          <li><a class="dropdown-item" href="/customerresponsibility">Collection Responsibility</a></li>
                          @endcan
                          @can('view other income type')
                          <li><a class="dropdown-item" href="/otherincometype">Other Income Type</a></li>
                          @endcan
                        </ul>
                    </div>
                    <div class="col-md-3">
                      <h5><b>Entry</b></h5>
                      <ul class="list-unstyled">
                        @can('view sales order')
                        <li><a class="dropdown-item" href="/salesorder">Sales Order</a></li>
                        @endcan
                        @can('view estimation form')
                        <li><a class="dropdown-item" href="/estimationform">Estimation Form</a></li>
                        @endcan
                        @can('view customer po')
                        <li><a class="dropdown-item" href="/customerpo">Customer PO</a></li>
                        @endcan
                        @can('view project creation')
                        <li><a class="dropdown-item" href="/projectcreation">Project Creation</a></li>
                        @endcan
                        @can('view trip planning')
                        <li><a class="dropdown-item" href="/tripplanning">Trip Planning</a></li>
                        @endcan
                        @can('view private trip planning')
                        <li><a class="dropdown-item" href="/privatetripplanning">Private Trip Planning</a></li>
                        @endcan
                        @can('view trip loading')
                        <li><a class="dropdown-item" href="/triploading">Trip Loading</a></li>
                        @endcan
                        @can('view sales dc')
                        <li><a class="dropdown-item" href="/salesdc">Sales Dc</a></li>
                        @endcan
                        @can('view inter purchase request')
                        <li><a class="dropdown-item" href="/interpurchaserequest">Inter Company Purchase Request</a></li>
                        @endcan
                        @can('view inter sales order')
                        <li><a class="dropdown-item" href="/intersalesorder">Inter Company Sales Order</a></li>
                        @endcan
                        @can('view inter trip planning')
                        <li><a class="dropdown-item" href="/intertripplanning">Inter Trip Planning</a></li>
                        @endcan
                        @can('view inter trip loading')
                        <li><a class="dropdown-item" href="/intertriploading">Inter Trip Loading</a></li>
                        @endcan
                        @can('view inter trip inward')
                        <li><a class="dropdown-item" href="/intertripinward">Inter Trip Inward</a></li>
                        @endcan
                        @can('view sales return')
                        <li><a class="dropdown-item" href="/salesreturn">Sales Return</a></li>
                        @endcan
                        @can('view sales return inspection')
                        <li><a class="dropdown-item" href="/salesreturninspection">Sales Return Inspection</a></li>
                        @endcan
                        @can('view credit note')
                        <li><a class="dropdown-item" href="/creditnote">Credit Note</a></li>
                        @endcan
                        @can('view sales dc invoice')
                        <li><a class="dropdown-item" href="/salesdcinvoice">Sales Dc Invoice</a></li>
                        @endcan
                        @can('view other income')
                        <li><a class="dropdown-item" href="/otherincome">Other Income</a></li>
                        @endcan

                        @can('view sales return trip planning')
                        <li><a class="dropdown-item" href="/salesreturntripplanning">Sales Return Trip Planning</a></li>
                        @endcan
                      
                      </ul>
                  </div>
                  </div>
               </div>
             </li>
           @endif
           <!--Marketing Ends Here -->
               
               <!--Store Starts Here -->
              @if ($formCount['Store'] > 0)
                <li class="nav-item dropdown has-megamenu nav-menu active">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Store</a>
                  <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                    <div class="row">
                      <div class="col-md-3">
                          <h5><b>Master</b></h5>
                          <ul class="list-unstyled">
                            @can('view product category')
                            <li><a class="dropdown-item" href="/productcategory">Product Category</a></li>
                            @endcan
                            @can('view product group')
                             <li><a class="dropdown-item" href="/productgroup">Product Group</a></li>
                             @endcan
                             @can('view product')
                             <li><a class="dropdown-item" href="/product">Product</a></li>
                             @endcan
                             @can('view warehouse')
                             <li><a class="dropdown-item" href="/warehouse">Warehouse</a></li>
                             @endcan
                             
                             @can('view uom')
                             <li><a class="dropdown-item" href="/uom">Uom</a></li>
                             @endcan
                             @can('view stock location')
                             <li><a class="dropdown-item" href="/stocklocation">Stock Location</a></li>
                             @endcan
                             @can('view product cost type')
                             <li><a class="dropdown-item" href="/productcosttype">Product Cost Type</a></li>
                             @endcan
                          </ul>
                        </div>
                        <div class="col-md-3">
                          <h5><b>Entry</b></h5>
                          <ul class="list-unstyled">
                            @can('view material request')
                              <li><a class="dropdown-item" href="/materialrequest">Material Request</a></li>
                            @endcan
                            @can('view material issue')
                            <li><a class="dropdown-item" href="/materialissue">Material Issue</a></li>
                            @endcan
                            @can('view old material pending')
                            <li><a class="dropdown-item" href="/oldmaterialpending">Old Material Pending</a></li>
                            @endcan
                            @can('view stock adjustment')
                            <li><a class="dropdown-item" href="/stockadjustment">Stock Adjustment</a></li>
                            @endcan
                            @can('view stock transfer')
                            <li><a class="dropdown-item" href="/stocktransfer">Stock Transfer</a></li>
                            @endcan
                            @can('view diesel issue')
                            <li><a class="dropdown-item" href="/dieselissue">Diesel Issue</a></li>
                            @endcan
                            @can('view gate pass')
                            <li><a class="dropdown-item" href="/gatepass">Gate Pass</a></li>
                            @endcan
                            @can('view material issue return')
                            <li><a class="dropdown-item" href="/materialissuereturn">Material Issue Return</a></li>
                            @endcan
                          </ul>
                        </div>
                        
                    </div>
                  </div>
                </li>
              @endif
              <!--Store Ends Here -->


              <!--Purchase Starts Here -->
              @if ($formCount['Purchase'] > 0)
              <li class="nav-item dropdown has-megamenu nav-menu active">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Purchase</a>
                <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                  <div class="row">
                    <div class="col-md-3">
                      <h5><b>Master</b></h5>
                      <ul class="list-unstyled">
                         @can('view supplier')
                          <li><a class="dropdown-item" href="/supplier">Vendor</a></li>
                          @endcan
                          @can('view payment term')
                          <li><a class="dropdown-item" href="/paymentterm">Payment Terms</a></li>
                          @endcan
                          @can('view grn reject reason')
                          <li><a class="dropdown-item" href="/grnrejectreason">GRN Reject Reason</a></li>
                          @endcan
                          @can('view work order activity')
                          <li><a class="dropdown-item" href="/workorderactivity">Work Order Activity</a></li>
                          @endcan
                          @can('view expense type')
                          <li><a class="dropdown-item" href="/expensetype">Expense Type</a></li>
                          @endcan
                      </ul>
                    </div>
                    <div class="col-md-3">
                        <h5><b>Entry</b></h5>
                        <ul class="list-unstyled">
                          @can('view purchase request')
                            <li><a class="dropdown-item" href="/purchaserequest">Purchase Request</a></li>
                          @endcan 
                          @can('view purchase order')
                            <li><a class="dropdown-item" href="/purchaseorder">Purchase Order</a></li>
                          @endcan
                          @can('view purchase return')
                            <li><a class="dropdown-item" href="/purchasereturn">Purchase Return / Debit Note</a></li>
                          @endcan 
                          @can('view grn bill')
                          <li><a class="dropdown-item" href="/grnbill">GRN Bill</a></li>
                         @endcan 
                         @can('view service bill')
                         <li><a class="dropdown-item" href="/servicebill">Service Bill</a></li>
                        @endcan 
                        @can('view work order')
                         <li><a class="dropdown-item" href="/workorder">Work Order</a></li>
                        @endcan 
                        @can('view work order log')
                         <li><a class="dropdown-item" href="/workorderlog">Work Order Log</a></li>
                        @endcan
                        @can('view work order bill')
                         <li><a class="dropdown-item" href="/workorderbill">Work Order Bill</a></li>
                        @endcan
                        @can('view purchase advance')
                        <li><a class="dropdown-item" href="/purchaseadvance">Purchase Advance</a></li>
                       @endcan
                       @can('view expense voucher')
                       <li><a class="dropdown-item" href="/expensevoucher">Expense Voucher</a></li>
                      @endcan
                        </ul>
                    </div>
                  </div>
                </div>
              </li>
            @endif
            <!--Purchase Ends Here -->

              

              <!--Transport Starts Here -->
              @if ($formCount['Transport'] > 0)
              <li class="nav-item dropdown has-megamenu nav-menu active">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Transport</a>
                <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                  <div class="row">
                    <div class="col-md-3">
                        <h5><b>Master</b></h5>
                        <ul class="list-unstyled">
                          {{-- @can('view vehicle type')
                          <li><a class="dropdown-item" href="/vehicletype">Vehicle Type</a></li>
                          @endcan
                          @can('view vehicle')
                          <li><a class="dropdown-item" href="/vehicle">Vehicle</a></li>
                          @endcan --}}
                          {{-- @can('view transport routing')
                          <li><a class="dropdown-item" href="/transportrouting">Transport Routing</a></li>
                          @endcan --}}

                          @can('view dispatch vehicles')
                          <li><a class="dropdown-item" href="/dispatchvehicles">Dispatch Vehicles (Division Wise)</a></li>
                          @endcan
                          @can('view activity type')
                          <li><a class="dropdown-item" href="/activitytype">Activity Type</a></li>
                          @endcan
                          @can('view loading type cost')
                          <li><a class="dropdown-item" href="/loadingtypecost">Loading & Unloading Type</a></li>
                          @endcan
                          @can('view inter company freight')
                          <li><a class="dropdown-item" href="/intercompanyfreight">Inter Company Freight</a></li>
                          @endcan
                        </ul>
                      </div>

                      <div class="col-md-3">
                        <h5><b>Entry</b></h5>
                        <ul class="list-unstyled">
                          @can('view job card')
                            <li><a class="dropdown-item" href="/jobcard">Job Card</a></li>
                          @endcan  
                          @can('view daily truck assign')
                          <li><a class="dropdown-item" href="/truckassign">Daily Truck Assign</a></li>
                          @endcan
                          @can('view daily machinery assign')
                          <li><a class="dropdown-item" href="/machineryassign">Daily Machinery Assign</a></li>
                          @endcan
                          @can('view machinery log')
                          <li><a class="dropdown-item" href="/machinerylog">Machinery Log</a></li>
                          @endcan
                          @can('view manual trip sheet')
                          <li><a class="dropdown-item" href="/manualtripsheet">Manual Trip Sheet</a></li>
                          @endcan
                          @can('view machine activity log')
                          <li><a class="dropdown-item" href="/machineactivitylog">Machine Activity Log</a></li>
                          @endcan
                          @can('view driver daily updates')
                          <li><a class="dropdown-item" href="/driverdailyupdates">Driver Daily Updates</a></li>
                          @endcan
                        </ul>
                      </div>
                    </div>
                </div>
              </li>
            @endif
            <!--Transport Ends Here -->

               <!--Payroll Starts Here -->
               @if ($formCount['Payroll'] > 0)
               <li class="nav-item dropdown has-megamenu nav-menu active">
                 <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Payroll</a>
                 <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                   <div class="row">
                     <div class="col-md-3">
                         <h5><b>Master</b></h5>
                         <ul class="list-unstyled">
                           @can('view designation')
                            <li><a class="dropdown-item" href="/designation">Designation</a></li>
                           @endcan
                           @can('view salary type')
                            <li><a class="dropdown-item" href="/salarytype">Salary Type</a></li>
                           @endcan
                           @can('view employee')
                            <li><a class="dropdown-item" href="/employee">Employee</a></li>
                           @endcan
                           @can('view shift creation')
                           <li><a class="dropdown-item" href="/shiftcreation">Shift Creation</a></li>
                          @endcan
                          @can('view leave type')
                           <li><a class="dropdown-item" href="/leavetype">Leave Type</a></li>
                          @endcan
                          @can('view addition deduction')
                          <li><a class="dropdown-item" href="/additiondeduction">Addition & Deduction</a></li>
                         @endcan
                          @can('view contract product cost')
                          <li><a class="dropdown-item" href="/contractproductcost">Contract Product Cost</a></li>
                          @endcan
                          @can('view canteen meals rate')
                          <li><a class="dropdown-item" href="/canteenmealsrate">Canteen Meals Rate</a></li>
                          @endcan
                         </ul>
                       </div>
                       <div class="col-md-3">
                        <h5><b>Entry</b></h5>
                        <ul class="list-unstyled">
                          @can('view manual attendance')
                           <li><a class="dropdown-item" href="/manualattendance">Manual Attendance</a></li>
                          @endcan
                          @can('view leave entry')
                          <li><a class="dropdown-item" href="/leaveentry">Leave Entry</a></li>
                         @endcan
                          @can('view advance entry')
                           <li><a class="dropdown-item" href="/advanceentry">Advance Entry</a></li>
                          @endcan
                          @can('view over time')
                          <li><a class="dropdown-item" href="/overtime">Over Time</a></li>
                         @endcan
                         @can('view contract log')
                          <li><a class="dropdown-item" href="/contractlog">Contract Log</a></li>
                         @endcan
                          @can('view addition deduction entry')
                           <li><a class="dropdown-item" href="/additiondeductionentry">Addition Deduction Entry</a></li>
                          @endcan
                          @can('view wages creation')
                           <li><a class="dropdown-item" href="/wagescreation">Wages Creation</a></li>
                          @endcan
                          @can('view canteen log')
                          <li><a class="dropdown-item" href="/canteenlog">Canteen Log</a></li>
                          @endcan
                        </ul>
                      </div>
                   </div>
                 </div>
               </li>
             @endif
             <!--Payroll Ends Here -->

              <!--Production Starts Here -->
              @if ($formCount['Production'] > 0)
              <li class="nav-item dropdown has-megamenu nav-menu active">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Production</a>
                <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                  <div class="row">
                    <div class="col-md-3">
                        <h5><b>Master</b></h5>
                        <ul class="list-unstyled">
                          {{-- @can('view costing stage')
                          <li><a class="dropdown-item" href="/costingstage">Costing Stage</a></li>
                          @endcan --}}
                          {{-- @can('view work type')
                          <li><a class="dropdown-item" href="/worktype">Work Type</a></li>
                          @endcan --}}
                          @can('view work center cost type')
                          <li><a class="dropdown-item" href="/workcentercosttype">Work Center Cost Type</a></li>
                          @endcan
                          @can('view work center')
                          <li><a class="dropdown-item" href="/workcenter">Work Center</a></li>
                          @endcan
                          @can('view machine center')
                          <li><a class="dropdown-item" href="/machinecenter">Machine Center</a></li>
                          @endcan 
                         
                          {{-- @can('view activity center')
                          <li><a class="dropdown-item" href="/activitycenter">Activity Center</a></li>
                          @endcan --}}
                          
                          @can('view production routing')
                          <li><a class="dropdown-item" href="/productionrouting">Production Routing</a></li>
                          @endcan
                          
                          @can('view standard bom')
                          <li><a class="dropdown-item" href="/standardbom">Standard BOM</a></li>
                          @endcan
                          {{-- @can('view cost center')
                          <li><a class="dropdown-item" href="/costcenter">Cost Center</a></li>
                          @endcan 
                          
                          --}}
                        </ul>
                      </div>
                      <div class="col-md-3">
                        <h5><b>Entry</b></h5>
                        <ul class="list-unstyled">
                          @can('view production order')
                            <li><a class="dropdown-item" href="/productionorder">Production Order</a></li>
                          @endcan  
                        </ul>
                      </div>
                    </div>
                </div>
              </li>
            @endif
            <!--Production Ends Here -->

              <!--Accounts Starts Here -->
              @if ($formCount['Accounts'] > 0)
              <li class="nav-item dropdown has-megamenu nav-menu active">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Accounts</a>
                <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                  <div class="row">
                    <div class="col-md-3">
                      <h5><b>Master</b></h5>
                      <ul class="list-unstyled">
                        @can('view accounts group')
                        <li><a class="dropdown-item" href="/accountsgroup">Accounts Ledger Group</a></li>
                        @endcan
                        @can('view accounts ledger')
                        <li><a class="dropdown-item" href="/accountsledger">Accounts Ledger</a></li>
                        @endcan
                        @can('view banking')
                        <li><a class="dropdown-item" href="/banking">Banking</a></li>
                        @endcan
                        @can('view cheque return reason')
                          <li><a class="dropdown-item" href="/chequereturnreason">Cheque Return Reason</a></li>
                        @endcan
                        @can('view schedule payment type')
                        <li><a class="dropdown-item" href="/schedulepaymenttype">Schedule Payment Type</a></li>
                      @endcan
                        @can('view schedule payment')
                          <li><a class="dropdown-item" href="/schedulepayment">Schedule Payment</a></li>
                        @endcan
                      </ul>
                    </div>
                    <div class="col-md-3">
                        <h5><b>Entry</b></h5>
                        <ul class="list-unstyled">
                          @can('view vendor payment')
                          <li><a class="dropdown-item" href="/vendorpayment">Vendor Payment</a></li>
                          @endcan
                          @can('view payment voucher')
                          <li><a class="dropdown-item" href="/paymentvoucher">Payment Voucher</a></li>
                          @endcan
                          @can('view receipt voucher')
                          <li><a class="dropdown-item" href="/receiptvoucher">Receipt Voucher</a></li>
                          @endcan
                          @can('view journal voucher')
                          <li><a class="dropdown-item" href="/journalvoucher">Journal Voucher</a></li>
                          @endcan
                          @can('view bank deposit')
                          <li><a class="dropdown-item" href="/bankdeposit">Bank Deposit</a></li>
                          @endcan
                          
                          @can('view bank transfer')
                          <li><a class="dropdown-item" href="/banktransfer">Bank Transfer / Withdrawal</a></li>
                          @endcan
                          @can('view customer receipt adjustment')
                          <li><a class="dropdown-item" href="/customerreceiptadjustment">Customer Receipt Adjustment</a></li>
                          @endcan
                          @can('view inward cheque')
                          <li><a class="dropdown-item" href="/inwardcheque">Inward Cheque</a></li>
                          @endcan
                          @can('view advance pay')
                          <li><a class="dropdown-item" href="/advancepay">Advance Pay</a></li>
                         @endcan
                         @can('view advance receive')
                         <li><a class="dropdown-item" href="/advancereceive">Advance Receive</a></li>
                        @endcan
                         @can('view wages paid')
                         <li><a class="dropdown-item" href="/wagespaid">Wages Pay</a></li>
                        @endcan
                        @can('view purchase advance revise')
                        <li><a class="dropdown-item" href="/purchaseadvancerevise">Purchase Advance Revise</a></li>
                        @endcan
                        @can('view refund')
                        <li><a class="dropdown-item" href="/refund">Customer Refund</a></li>
                        @endcan
                        @can('view supplier refund')
                        <li><a class="dropdown-item" href="/supplierrefund">Supplier Refund</a></li>
                        @endcan
                        @can('view fund transfer')
                        <li><a class="dropdown-item" href="/fundtransferindex">Fund Transfer</a></li>
                        @endcan
                        </ul>
                      </div>
                  </div>
                </div>
              @endif    
              
               <!--Ends Here -->
            <!--Approvals Starts Here -->
          @if ($approvalCount > 0)
          <li class="nav-item dropdown has-megamenu nav-menu active">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Approvals</a>
            <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
              <div class="row">
                <div class="col-md-3">
                  <h5><b>Purchase</b></h5>
                  <ul class="list-unstyled">
                    @can('approve purchase request')
                      <li><a class="dropdown-item" href="/purchaserequest">Purchase Request</a></li>
                    @endcan 
                    @can('approve purchase order')
                      <li><a class="dropdown-item" href="/purchaseorder">Purchase Order</a></li>
                    @endcan 
                    @can('approve grn bill')
                    <li><a class="dropdown-item" href="/grnbill">GRN Bill</a></li>
                    @endcan 
                    @can('approve service bill')
                    <li><a class="dropdown-item" href="/servicebill">Service Bill</a></li>
                    @endcan 
                    @can('approve work order')
                    <li><a class="dropdown-item" href="/workorder">Work Order</a></li>
                    @endcan 
                    @can('approve work order log')
                    <li><a class="dropdown-item" href="/workorderlog">Work Order Log</a></li>
                    @endcan 
                    @can('approve work order bill')
                    <li><a class="dropdown-item" href="/workorderbill">Work Order Bill</a></li>
                    @endcan 
                    @can('approve purchase advance')
                        <li><a class="dropdown-item" href="/purchaseadvance">Purchase Advance</a></li>
                     @endcan
                  </ul>
                </div>
                <div class="col-md-3">
                  <h5><b>Store</b></h5>
                  <ul class="list-unstyled">
                    @can('approve material request')
                      <li><a class="dropdown-item" href="/materialrequest">Material Request</a></li>
                    @endcan
                    @can('approve stock adjustment')
                      <li><a class="dropdown-item" href="/stockadjustment">Stock Adjustment</a></li>
                    @endcan  
                    @can('approve stock transfer')
                      <li><a class="dropdown-item" href="/stocktransfer">Stock Transfer</a></li>
                    @endcan
                    @can('approve gate pass')
                            <li><a class="dropdown-item" href="/gatepass">Gate Pass</a></li>
                    @endcan
                    @can('approve gate pass in')
                    <li><a class="dropdown-item" href="/gatepassin">Gate Pass In</a></li>
                    @endcan
                    @can('approve job card')
                            <li><a class="dropdown-item" href="/jobcard">Job Card</a></li>
                    @endcan  
                  
                  </ul>
                </div>
                <div class="col-md-3">
                  <h5><b>Sales</b></h5>
                  <ul class="list-unstyled">
                    @can('approve customer creation')
                      <li><a class="dropdown-item" href="/customercreation">Customer Creation </a></li>
                    @endcan
                    @can('approve sales order')
                      <li><a class="dropdown-item" href="/salesorderapprovallist">Sales Order</a></li>
                    @endcan  
                    @can('approve inter purchase request')
                     <li><a class="dropdown-item" href="/interpurchaserequest">Inter Company Purchase Request</a></li>
                    @endcan 
                    @can('approve inter trip inward')
                     <li><a class="dropdown-item" href="/intertripinwardapproval">Inter Trip Inward</a></li>
                    @endcan
                    @can('approve sales return')
                      <li><a class="dropdown-item" href="/salesreturn">Sales Return</a></li>
                    @endcan 
                    @can('approve project creation')
                     <li><a class="dropdown-item" href="/projectcreation">Project Creation</a></li>
                    @endcan 
                    @can('approve estimation form')
                      <li><a class="dropdown-item" href="/estimationform">Estimation Form</a></li>
                    @endcan
                    @can('approve sales discount')
                          <li><a class="dropdown-item" href="/salesdiscount">Sales Discount</a></li>
                    @endcan
                  </ul>
                </div>

                <div class="col-md-3">
                  <h5><b>Transport</b></h5>
                  <ul class="list-unstyled">
                    @can('approve job card')
                        <li><a class="dropdown-item" href="/jobcard">Job Card</a></li>
                   @endcan  
                   @can('approve machinery log')
                  <li><a class="dropdown-item" href="/machinerylog">Machinery Log</a></li>
                 @endcan 
                  </ul>
                </div>
              </div>
              <div class="row">
                <div class="col-md-3">
                  <h5><b>Production</b></h5>
                  <ul class="list-unstyled">
                    @can('approve production order')
                        <li><a class="dropdown-item" href="/productionorder">Production  Order</a></li>
                   @endcan  
                   @can('approve production order log')
                        <li><a class="dropdown-item" href="/productionorderlog">Production Order Log</a></li>
                   @endcan
                  </ul>
                </div>
                <div class="col-md-3">
                  <h5><b>Payroll</b></h5>
                  <ul class="list-unstyled">
                    @can('approve manual attendance')
                    <li><a class="dropdown-item" href="/manualattendance">Manual Attendance</a></li>
                   @endcan
                   @can('approve advance entry')
                    <li><a class="dropdown-item" href="/advanceentry">Advance Entry</a></li>
                   @endcan

                   @can('approve addition deduction entry')
                   <li><a class="dropdown-item" href="/additiondeductionentry">Addition Deduction Entry</a></li>
                  @endcan

                   @can('approve over time')
                   <li><a class="dropdown-item" href="/overtime">Over Time</a></li>
                  @endcan
                  @can('approve contract log')
                   <li><a class="dropdown-item" href="/contractlog">Contract Log</a></li>
                  @endcan 
                  @can('approve wages creation')
                   <li><a class="dropdown-item" href="/wagescreation">Wages Creation</a></li>
                  @endcan 
                  
                  </ul>
                </div>
                <div class="col-md-3">
                  <h5><b>Admin</b></h5>
                  <ul class="list-unstyled">
                    @can('approve product cost approval')
                    <li><a class="dropdown-item" href="/productcostapproval">Cost Approval</a></li>
                    @endcan 
                  </ul>
                </div>
              </div>
            </div>
          </li>
          @endif
         <!--Approvals Ends Here -->  
         
            <!--Reports Starts Here -->
          @if ($formCount['Reports'] > 0)
            <li class="nav-item dropdown has-megamenu nav-menu active">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Reports</a>
              <div class="dropdown-menu shadow-lg bg-white rounded megamenu" aria-labelledby="navbarDropdown" role="menu">
                <div class="row">
                  <div class="col-md-4">
                    <h5><b>Store</b></h5>
                    <ul class="list-unstyled">
                      @can('view stock report')
                      <li><a class="dropdown-item" href="/stockreport">Stock Report</a></li>
                      @endcan
                      @can('view stock report division')
                      <li><a class="dropdown-item" href="/stockreportdivision">Stock Warehouse Wise Report</a></li>
                      @endcan
                      @can('view stock adjustment report')
                        <li><a class="dropdown-item" href="/stockadjustmentreport">Stock Adjustment Report</a></li>
                      @endcan
                      @can('view stock transfer report')
                      <li><a class="dropdown-item" href="/stocktransferreport">Stock Transfer Report</a></li>
                      @endcan
                      @can('view material issue report')
                        <li><a class="dropdown-item" href="/materialissuereport">Material Issue Report</a></li>
                      @endcan
                      @can('view diesel issue report')
                      <li><a class="dropdown-item" href="/dieselconsumption">Diesel Issue Report</a></li>
                      @endcan
                      @can('view returnable gate pass report')
                      <li><a class="dropdown-item" href="/returnablegatepassreport">Returnable Gate Pass Report</a></li>
                      @endcan
                      @can('view non returnable gate pass report')
                      <li><a class="dropdown-item" href="/nonreturnablegatepassreport">Non Returnable Gate Pass Report</a></li>
                      @endcan
                      @can('view diesel audit report')
                      <li><a class="dropdown-item" href="/dieselauditreport">Diesel Audit Report</a></li>
                      @endcan
                      
                    </ul>
                  </div>
                  <div class="col-md-4">
                    <h5><b>Production</b></h5>
                    <ul class="list-unstyled">
                      @can('view product cost sheet')
                      <li><a class="dropdown-item" href="/productcostsheet">Product Cost Sheet ( Standard )</a></li>
                      @endcan       
                      @can('view production order report')
                      <li><a class="dropdown-item" href="/productionorderreport">Production Order Report</a></li>
                      @endcan   
                      @can('view production order month report')
                      <li><a class="dropdown-item" href="/productionordermonthreport">Production Order Month Report</a></li>
                      @endcan  
                      @can('view production machinery efficiency report')
                      <li><a class="dropdown-item" href="/productionmachineryefficiencyreport">Production Machinery Efficiency Report		</a></li>
                      @endcan          
                    </ul>
                  </div>
                  <div class="col-md-4">
                    <h5><b>Transport</b></h5>
                    <ul class="list-unstyled">
                      @can('view transport cost sheet')
                      <li><a class="dropdown-item" href="/transportcostsheet">Transport Cost Sheet ( Standard )</a></li>
                      @endcan    
                      @can('view job card report')
                      <li><a class="dropdown-item" href="/jobcardreport">Job Card Report</a></li>
                      @endcan        
                      @can('view machinery log report')
                      <li><a class="dropdown-item" href="/machinerylogreport">Machinery Log Report</a></li>
                      @endcan 
                      
                      @can('view operator wise machinery log report')
                          <li><a class="dropdown-item" href="/operatorwisemachinerylogreport">Operator Wise Machinery Log Report</a></li>
                      @endcan 
                      @can('view asset cost center report')
                         <li><a class="dropdown-item" href="/assetcostcenterreport">Asset Cost Center Report</a></li>
                      @endcan 

                      @can('view vehicle efficiency report')
                      <li><a class="dropdown-item" href="/vehicleefficiencyreport">Vehicle Efficiency Report</a></li>
                      @endcan

                      @can('view vehicle mileage report')
                      <li><a class="dropdown-item" href="/vehiclemileagereport">Vehicle Mileage Report</a></li>
                      @endcan
                      @can('view machine activity log report')
                        <li><a class="dropdown-item" href="/machineactivitylogreport">Machine Activity Log Report</a></li>
                      @endcan
                      @can('view vehicle efficiency summary report')
                          <li><a class="dropdown-item" href="/vehicleefficiencysummaryreport">Vehicle Efficiency Summary Report</a></li>
                      @endcan
                      @can('view two wheeler mileage report')
                          <li><a class="dropdown-item" href="/twowheelermileagereport">Two Wheeler Mileage Report</a></li>
                     @endcan
                    </ul>
                </div>
                </div>
                <div class="row">
                  <div class="col-md-4">
                    <h5><b>Accounts</b></h5>
                    <ul class="list-unstyled">
                      @can('view trial balance')
                      <li><a class="dropdown-item" href="/trialbalance">Trial Balance</a></li>
                      @endcan
                      @can('view cash book')
                      <li><a class="dropdown-item" href="/cashbook">Cash Book</a></li>
                      @endcan
                      @can('view bank book')
                      <li><a class="dropdown-item" href="/bankbook">Bank Book</a></li>
                      @endcan
                      @can('view ledger report')
                      <li><a class="dropdown-item" href="/ledgerreport">Ledger Report</a></li>
                      @endcan
                      @can('view profit and loss report')
                      <li><a class="dropdown-item" href="/profitlossreport">Profit & Loss Report</a></li>
                      @endcan
                      @can('view profit and loss monthwise report')
                      <li><a class="dropdown-item" href="/profitlossmonthwisereport">Profit & Loss Monthwise Report</a></li>
                      @endcan
                      @can('view profit and loss division report')
                      <li><a class="dropdown-item" href="/profitlossreportdivision">Profit & Loss Report (Division Wise)</a></li>
                      @endcan
                      @can('view profit and loss t shape report')
                      <li><a class="dropdown-item" href="/profitlosstshapereport">Profit & Loss Report (T Shape)</a></li>
                      @endcan
                      @can('view asset profit and loss report')
                      <li><a class="dropdown-item" href="/vehicleprofitlossreport">Asset Profit & Loss Report</a></li>
                      @endcan
                      @can('view balance sheet')
                      <li><a class="dropdown-item" href="/balancesheetreport">Balance Sheet</a></li>
                      @endcan
                      @can('view balance sheet horizontal')
                      <li><a class="dropdown-item" href="/balancesheetreporthorizontal">Balance Sheet Horizontal</a></li>
                      @endcan
                      @can('view balance sheet division report')
                      <li><a class="dropdown-item" href="/balancesheetdivisionreport">Balance Sheet Division Report</a></li>
                      @endcan
                      @can('view balance sheet monthwise report')
                      <li><a class="dropdown-item" href="/balancesheetmonthwisereport">Balance Sheet Monthwise Report</a></li>
                      @endcan
                      @can('view budget report')
                      <li><a class="dropdown-item" href="/budgetreport">Budget Report</a></li>
                      @endcan
                      @can('view tally export')
                      <li><a class="dropdown-item" href="/tallyexport">Tally Export</a></li>
                      @endcan
                      @can('view branch and divisions outstanding report')
                      <li><a class="dropdown-item" href="/branchanddivisionsoutstandingreport">Branch and Divisions Outstanding Report</a></li>
                      @endcan
                    </ul>
                  </div>
                  <div class="col-md-4">
                    <h5><b>Purchase</b></h5>
                    <ul class="list-unstyled">
                      @can('view purchase order details')
                      <li><a class="dropdown-item" href="/purchaseorderdetails">Purchase Order Details</a></li>
                      @endcan
                      @can('view purchase item details')
                      <li><a class="dropdown-item" href="/purchaseitemdetails">Purchases by Item</a></li>
                      @endcan
                      @can('view grn receive report')
                        <li><a class="dropdown-item" href="/grnreceivereport">GRN Receive Report
                      </a></li>
                      @endcan
                      @can('view vendor bills report')
                        <li><a class="dropdown-item" href="/vendorbillsreport">Vendor Bills Report</a></li>
                      @endcan
                      @can('view vendor outstanding')
                      <li><a class="dropdown-item" href="/vendoroutstanding">Vendor Outstanding Report</a></li>
                      @endcan
                      @can('view vendor aging report')
                      <li><a class="dropdown-item" href="/agingreport">Vendor Aging Report</a></li>
                      @endcan
                      @can('view vendor aging division report')
                      <li><a class="dropdown-item" href="/vendoragingdivisionreport">Vendor Aging Division Report</a></li>
                      @endcan
                      @can('view vendor statement report')
                      <li><a class="dropdown-item" href="/vendorstatementreport">Vendor Statement Report</a></li>
                      @endcan
                      @can('view vendor statement flow report')
                      <li><a class="dropdown-item" href="/vendorstatementflowreport">Vendor Statement Daily Flow Report</a></li>
                      @endcan
                      @can('view sales trading report')
                      <li><a class="dropdown-item" href="/salestradingreport">Sales Trading Report</a></li>
                      @endcan
                    </ul>
                  </div>
                  <div class="col-md-4">
                    <h5><b>Sales</b></h5>
                    <ul class="list-unstyled">
                      @can('view sales order report')
                      <li><a class="dropdown-item" href="/salesorderreport">Sales Order Report</a></li>
                      @endcan
                      @can('view sales dc report')
                      <li><a class="dropdown-item" href="/salesdcreport">Sales DC Report</a></li>
                      @endcan
                      @can('view customer invoice report')
                      <li><a class="dropdown-item" href="/customerinvoicereport">Customer Invoice Report</a></li>
                      @endcan
                      @can('view sales item report')
                      <li><a class="dropdown-item" href="/salesitemreport">Sales Item Report</a></li>
                      @endcan
                      @can('view sales itemwise report')
                      <li><a class="dropdown-item" href="/salesitemwisereport">Sales Item Wise Report</a></li>
                      @endcan
                      @can('view collection pending report')
                      <li><a class="dropdown-item" href="/collectionpendingreport">Collection Pending Report</a></li>
                      @endcan
                      @can('view project report')
                      <li><a class="dropdown-item" href="/projectreport">Project Report</a></li>
                      @endcan
                      @can('view customer outstanding report')
                      {{-- <li><a class="dropdown-item" href="/customeroutstanding">Customer Outstanding Report</a></li> --}}
                      @endcan
                      @can('view customer statement report')
                      <li><a class="dropdown-item" href="/customerstatement">Customer Statement Report</a></li>
                      @endcan
                      @can('view customer statement flow report')
                      <li><a class="dropdown-item" href="/custstatementflowreport">Customer Statement Daily Flow Report</a></li>
                      @endcan
                      @can('view customer outstanding division report')
                      <li><a class="dropdown-item" href="/customeroutstandingdivision">Customer Outstanding Division Report</a></li>
                      @endcan
                      @can('view customer aging report')
                      <li><a class="dropdown-item" href="/customeragingreport">Customer Aging Report</a></li>
                      @endcan
                      {{-- @can('view customer aging division report')
                      <li><a class="dropdown-item" href="/customeragingdivision">Customer Aging Division Report</a></li>
                      @endcan --}}
                      @can('view customer aging group report')
                      <li><a class="dropdown-item" href="/customeraginggroupreport">Customer Aging Group Report</a></li>
                      @endcan
                      @can('view customer aging division group report')
                      <li><a class="dropdown-item" href="/customeragingdivisiongroupreport">Customer Aging Division Group Report</a></li>
                      @endcan
                      @can('view salesperson product achievement report')
                      <li><a class="dropdown-item" href="/salespersonprodachievereport">Salesperson Product Achievement Report</a></li>
                      @endcan
                      @can('view trip sheet report')
                      <li><a class="dropdown-item" href="/tripsheetreport">Trip Sheet Report</a></li>
                      @endcan
                      @can('view trip deviation report')
                      <li><a class="dropdown-item" href="/tripdeviationreport">Trip Stage Deviation Report</a></li>
                      @endcan
                      @can('view sales weighment report')
                      <li><a class="dropdown-item" href="/salesweighmentreport">Sales Weighment Report</a></li>
                      @endcan
                      @can('view sales km deviation report')
                      <li><a class="dropdown-item" href="/saleskmdeviationreport">Sales KM Deviation Report</a></li>
                      @endcan
                      @can('view inter purchase report')
                      <li><a class="dropdown-item" href="/interpurchasereport">Inter Purchase Report</a></li>
                      @endcan
                      @can('view inter sales report')
                      <li><a class="dropdown-item" href="/intersalesreport">Inter Sales Report</a></li>
                      @endcan
                      @can('view inter sales trip report')
                      <li><a class="dropdown-item" href="/intersalestripreport">Inter Trip Sheet Report</a></li>
                      @endcan
                      {{-- @can('view weighment report')
                      <li><a class="dropdown-item" href="/weighmentreport">Weighment Report</a></li>
                      @endcan --}}
                      @can('view sales collection report')
                      <li><a class="dropdown-item" href="/salescollectionreport">Sales & Collection Report</a></li>
                      @endcan
                      @can('view vehicle wise trip report')
                      <li><a class="dropdown-item" href="/vehiclewisetripreport">Driver & Vehicle Wise Trip Report</a></li>
                      @endcan
                      {{-- @can('view driver wise trip report')
                      <li><a class="dropdown-item" href="/driverwisetripreport">Driver Wise Trip Report</a></li>
                      @endcan --}}
                      @can('view inter trip summary report')
                      <li><a class="dropdown-item" href="/intertripsummaryreport">Inter Trip Summary Report</a></li>
                      @endcan
                      @can('view sales return report')
                      <li><a class="dropdown-item" href="/salesreturnreport">Sales Return Report</a></li>
                      @endcan

                      @can('view sales return trip report')
                      <li><a class="dropdown-item" href="/salesreturntripreport">Sales Return Trip Report</a></li>
                      @endcan
                      @can('view sales collection average report')
                      <li><a class="dropdown-item" href="/salescollectionaveragereport">Sales Collection Average Report</a></li>
                      @endcan
                      {{-- @can('view collection aging item report')
                      <li><a class="dropdown-item" href="/collectionagingitemreport">Collection Aging Item Report</a></li>
                      @endcan --}}
                      @can('view collection receipt adjustment report')
                        <li><a class="dropdown-item" href="/collectionreceiptadjustmentreport">Collection Receipt Adjustment Report</a></li>
                      @endcan
                      
                    </ul>
                  </div>
                </div>

                <div class="row">
                  <div class="col-md-4">
                    <h5><b>Payroll</b></h5>
                    <ul class="list-unstyled">
                      @can('view attendance report')
                      <li><a class="dropdown-item" href="/attendancereport">Attendance Report</a></li>
                      @endcan
                      @can('view employee outstanding report')
                      <li><a class="dropdown-item" href="/employeeoutstandingreport">Employee Outstanding Report</a></li>
                      @endcan
                      @can('view employee earning report')
                      <li><a class="dropdown-item" href="/employeeearningreport">Employee Earning Report</a></li>
                      @endcan
                      @can('view employee overtime report')
                      <li><a class="dropdown-item" href="/employeeovertimereport">Employee Overtime Report</a></li>
                      @endcan
                      @can('view contract log report')
                      <li><a class="dropdown-item" href="/contractlogreport">Contract Log Report</a></li>
                      @endcan
                      @can('view canteen log report')
                      <li><a class="dropdown-item" href="/canteenlogreport">Canteen Log Report</a></li>
                      @endcan
                      @can('view employee wages report')
                      <li><a class="dropdown-item" href="/employeewagesreport">Employee Wages Report</a></li>
                      @endcan
                      @can('view employee biometric report')
                        <li><a class="dropdown-item" href="/employeebiometricreport">Employee Biometric Report</a></li>
                      @endcan
                    </ul>
                  </div>
                  <div class="col-md-4">
                    <h5><b>Marketing</b></h5>
                    <ul class="list-unstyled">
                      @can('view collection followup report')
                      <li><a class="dropdown-item" href="/collectionfollowupreport">Collection Followup Report</a></li>
                      @endcan
                      @can('view collection followup summary report')
                      <li><a class="dropdown-item" href="/collectionfollowupsummaryreport">Collection Followup Summary Report</a></li>
                      @endcan
                      @can('view collection followup missed report')
                      <li><a class="dropdown-item" href="/collectionfollowupmissedreport">Collection Followup Missed Report</a></li>
                      @endcan
                      @can('view collection followup efficiency report')
                      <li><a class="dropdown-item" href="/collectionfollowupefficiencyreport">Collection Followup Efficiency Report</a></li>
                      @endcan

                      @can('view collection projection report')
                          <li><a class="dropdown-item" href="/collectionprojectionreport">Collection Projection Report</a></li>
                      @endcan
                      @can('view collection pv item report')
                          <li><a class="dropdown-item" href="/collectionpvitemreport">Collection PV Item Report</a></li>
                      @endcan
                    
                    </ul>
                  </div>
                </div>

              </div>
            </li>
          @endif
          <!--Reports Ends Here -->
           
        </ul>
        <div class="mr-auto">
          <a href="/dashboard"><i style="color: white" class="fas fa-home fa-2x"></i></a>
          <a href="/riseticket" class="ml-2"><i style="color: white" class="fas fa-comments fa-2x"></i></a>
          
        </div>
      
        <div class="mr-auto">
          
          {{-- <a href="/approvallist_dashboard"><i style="color: white" class="fas fa-bell fa-2x"></i></a> --}}
          {{-- <a href="/approvallist_dashboard" data-toggle="popover" data-placement="bottom" title="Hooray!" class="fas fa-bell fa-2x" style="color: white"></a> --}}

          <a href="#" id="SaveChangesBtn" data-trigger="focus" class="fas fa-bell fa-2x" style="color: white" data-toggle="popover" data-placement="bottom" ></a>
        </div>
        <div  id="user-div">
          <ul class="navbar-nav mr-auto ">
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="userdropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">
               
                @if (Auth::user()->user_type == 'employee')

                  {{ Auth::user()->employee->employee_name }}
                
                @elseif(Auth::user()->user_type == 'guest')

                  {{ Auth::user()->guest_name}}
                    
                @endif
                
                
              </a>
              <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userdropdown">
                <a class="dropdown-item" href="{{route('logout')}}">Logout</a>
              </div>
            </li>
          </ul>
        </div>
      </div>
      
     
    </nav>
  </div>  
    
<style type="text/css">
  @media all and (min-width: 992px) {
    .navbar{ padding-top: 0; padding-bottom: 0; }
    .navbar .has-megamenu{position:static!important;}
    
    .navbar .nav-link{ padding-top:1rem; padding-bottom:1rem;  }
  }

  .navbar .megamenu{left:0; right:0; width:100%; padding:20px; overflow-y: auto!important;}
  .nav-menu.active:hover {
   background-color: #FE7C59;
  }

  @media only screen and (max-width: 992px){
    .fixed-top {
      position: relative !important;
      top: auto;
      z-index: 0;
    }

    #data-body-content-div {
      padding-top: 15px !important;
    }
} 
.popover-header{
    background: #ff2e38;
    color: white;
}
.popover-text-badge{

    background: #ff2e38;
    color: white;

}
</style>

@section('navbar-script-content')

<script>
  
  let screenHeight = screen.height;
  let percentSize = screenHeight * 70/100 + 'px';
  $(document).ready(function(){

      $(".navbar .megamenu").css("height",percentSize);
  });

  $('#SaveChangesBtn').on('click', function(){

    notification_content().then((result) => {
    
          $(this).popover({
            title: "Notification",
            html: true,
            content: result,
            scrollParent: true
        
          }).popover('show');  
    });

          

});

async function notification_content()
{
  // let result = '';

  let result = new Promise(function(resolve){

      $.ajax({
          
          url:`/notificationController`,// don't use global route helper in javascript 
          type:"GET",
          success:function(data){
  
            if(data){
  
              console.log(result)
              resolve(data);
  
            }
              
          },
          error:function(){
      
          }
      });
      
      
  }); 

  console.log(result)

  return await result;
}

</script>
    
@endsection
