<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <title>Sri Maha Maariamman</title>
        <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap" rel="stylesheet">

        <link href="<?php echo e(asset('css/loader-img.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('DataTables/css/jquery.dataTables.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('DataTables/css/dataTables.dateTime.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('DataTables/css/searchBuilder.dataTables.min.css')); ?>" rel="stylesheet">
        
        <link href="<?php echo e(asset('DataTables/css/responsive.dataTables.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('DataTables/css/buttons.dataTables.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('DataTables/css/fixedHeader.dataTables.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('DataTables/css/fixedColumns.dataTables.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('DataTables/css/rowGroup.dataTables.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('DataTables/css/scroller.dataTables.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('DataTables/css/select.dataTables.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('select2/css/select2.min.css')); ?>" rel="stylesheet">
         <!--to apply bootstrap theme to select2 -->
        <link href="<?php echo e(asset('select2/css/select2-bootstrap.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('css/select2-validation.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('daterange-picker/css/daterangepicker.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('bootstrap-datepicker/css/bootstrap-datepicker.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('css/report-slide.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('css/report-slide-one.css')); ?>" rel="stylesheet">

        <!-- Styles -->
        

         <style type="text/css">
          @media  all and (min-width: 992px) {
            .navbar{ padding-top: 0; padding-bottom: 0; }
            .navbar .has-megamenu{position:static!important;}
            
            .navbar .nav-link{ padding-top:1rem; padding-bottom:1rem;  }
          }
        
          .navbar .megamenu{left:0; right:0; width:100%; padding:20px; overflow-y: auto!important;}
          .nav-menu.active:hover {
           background-color: #FE7C59;
          }
        
          @media  only screen and (max-width: 992px){
            .fixed-top {
              position: relative !important;
              top: auto;
              z-index: 0;
            }
        
            #data-body-content-div {
              padding-top: 15px !important;
            }
        } 
        .popover-header{
            background: #ff2e38;
            color: white;
        }
        .popover-text-badge{
        
            background: #ff2e38;
            color: white;
        
        }
        </style>
    </head>
    <body>

        <nav class="navbar navbar-expand-lg bg-body-tertiary fixed-top" style="background-color: #ea5321;">
          <a class="navbar-brand" href="/chat"style="color: white">SRI MAHA MAARIAMMAN</a>

            <div class="container-fluid">
              
              <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                  

                  <?php if(Auth::user()->id == 1): ?>
                      <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false" style="color: white">
                          Master
                        </a>
                                <ul class="dropdown-menu">
                                  <li><a class="dropdown-item" href="/register">User Register </a></li>
                                    <li><a class="dropdown-item" href="/collectors">Collectors </a></li>
                                    <li><a class="dropdown-item" href="/donators">Donators </a></li>
                                    
                                    
                                    
                                </ul>

                      </li>
                      <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false" style="color: white">
                          Entry
                        </a>
                                <ul class="dropdown-menu">
                                  <li><a class="dropdown-item" href="/receipt">Receipt Entry </a></li>
                                    <li><a class="dropdown-item" href="/payment">Payment Entry </a></li>
                                </ul>

                      </li>
                  <?php endif; ?>
                  <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false" style="color: white">
                      Reports
                    </a>
                            <ul class="dropdown-menu">
                                <li><a class="dropdown-item" href="/collectionreport">Collection Details Report </a></li>
                                <li><a class="dropdown-item" href="/collectiongroupreport">Collection Group Report </a></li>
                                <li><a class="dropdown-item" href="/paymentreport">Payment Details Report </a></li>
                                <li><a class="dropdown-item" href="/cashbookreport">Cash Book Report </a></li>
                                <li><a class="dropdown-item" href="/collectorsoutstandingreport">Collectors Outstanding Report </a></li>
                            </ul>

                  </li>
                  
                </ul>

                <div class="mr-auto">
                  <a href="/chat"><i style="color: white" class="fas fa-home fa-2x"></i></a>
                </div>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                <div  id="user-div">
                  <ul class="navbar-nav mr-auto ">
                    <li class="nav-item dropdown">
                      
                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>" style="color: white">Logout</a>
                    </li>
                  </ul>
                </div>
             
              </div>
            </div>

            
          </nav>

        <div id="data-body-content-div" class="container-fluid" style="padding-top: 65px;">
            <?php echo $__env->yieldContent('content'); ?>
        </div>

        <div class="loader-img"></div>
        
        <script src="<?php echo e(asset('js/app.js')); ?>"></script>
        <script src="<?php echo e(asset('DataTables/js/jquery.dataTables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('DataTables/js/dataTables.responsive.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/jszip.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/pdfmake.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/vfs_fonts.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/dataTables.buttons.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/buttons.colVis.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/buttons.flash.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/buttons.html5.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/buttons.print.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/dataTables.fixedHeader.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/dataTables.fixedColumns.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/dataTables.rowGroup.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/dataTables.dateTime.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/dataTables.searchBuilder.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/dataTables.scroller.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('DataTables/js/dataTables.select.min.js')); ?>"></script>
        
        
        <script type="text/javascript" src="<?php echo e(asset('select2/js/select2.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('daterange-picker/js/daterangepicker.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('bootstrap-datepicker/js/bootstrap-datepicker.min.js')); ?>"></script>

        <script>

            $(document).ready(function(){

                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });

                // For ajax Loader Image
                $body = $("body");

                $(document).on({
                    ajaxStart: function() { $body.addClass("loading");   },
                    ajaxComplete: function() { $body.removeClass("loading"); }
                    //ajaxStop: function() { $body.removeClass("loading"); }    
                });

                $('.select2-dropdown').select2({
                    //to apply bootstrap theme to select2
                    theme: "bootstrap",
                   
                });

              
           

           
           

          });

          $('.datepicker').datepicker({
                    format: 'dd-mm-yyyy',
                });


                //For sweetalert toast error template
                const ToastError = Swal.mixin({
                toast: true,
                position: 'top',
                showConfirmButton: false,
                icon: 'error',
               
            });
      
        
        //For sweetalert toast warning template
            const ToastWarning = Swal.mixin({
                toast: true,
                position: 'top',
                showConfirmButton: false,
                icon: 'warning',
               
            });
        //For sweetalert toast added template    
            const ToastAdd = Swal.mixin({
                toast: true,
                position: 'top',
                showConfirmButton: false,
                icon: 'success',
                timer: 1200,
               
            });

           //For sweetalert toast delete template
            const Toastdelete = Swal.mixin({
                toast: true,
                position: 'top',
                showConfirmButton: false,
                timer: 1200,
                background:'#089945',
                icon: 'success',
                title: '<span style="color:#FFFFFF">Deleted successfully</span>'
    
            });

           //For sweetalert swal delete confirmation template

          const Swaldelete = Swal.mixin({
                title: 'Are you sure?',
                text: "You want to delete this record..!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete it!',
                cancelButtonColor: '#d33',
                cancelButtonText: 'No, Cancel!',
        
            });

        </script>
       
      

        <?php echo $__env->yieldContent('script-content'); ?>
        <?php echo $__env->yieldContent('submit-script-content'); ?>
        <?php echo $__env->yieldContent('actionbtn-script-content'); ?>
        
    </body>
</html>
<?php /**PATH /home/exterior/public_html/temple-tax/resources/views/layouts/app.blade.php ENDPATH**/ ?>