 

<?php $__env->startSection('content'); ?>

<div class="card shadow bg-white rounded">
    <?php if (isset($component)) { $__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\PageheaderComponent::class, ['url' => 'receipt.create','title' => 'Receipt Entry List','pagetype' => 'list','permission' => 'create receipt']); ?>
<?php $component->withName('pageheader-component'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1)): ?>
<?php $component = $__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1; ?>
<?php unset($__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1); ?>
<?php endif; ?> 
    <div class="card-body">
        
            <div class="row">
                <div class="form-group col-md-3">
                    <label><b>Date Range</b></label>
                    <div id="reportrange" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
                        <i class="fas fa-calendar-alt"></i>&nbsp;
                        <span></span> <i class="fas fa-caret-down"></i>
                    </div>
                    
                </div>
                
                <div class="form-group  col-md-2">
                    <label><b>Collectors</b></label>
                    <select name="receiver_id" id="receiver_id"  class="form-control custom-select" style="width:100%;" required>
                        <option value="">All</option>
                        <?php $__currentLoopData = $collectorsdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($item->id); ?>" ><?php echo e($item->name); ?></option>
                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    
                </select>
                </div>
                <div class="form-group col-md-2">
                    <label><b>Donators</b></label>
                    <select name="donator_id" id="donator_id"  class="form-control custom-select select2-dropdown-donators" style="width:100%;" required>
                        <option value="">All</option>
                </select>
                </div>
                
                <div class="form-group col-md-1">
                   <label>&nbsp;</label><br>
                   <button type="submit" id="filter-btn" class="btn btn-primary"><i class="fas fa-search"></i></button> 
                </div>
            </div>
            
       <?php echo $__env->make('layouts.flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
       <div  id="receipt-table-div">
             <?php echo $__env->make('receipt.table-list', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
       </div>
       
    </div>
</div>

<?php if (isset($component)) { $__componentOriginal1e92ae5d5d47f7053c11b71ea3ff695c3968f89a = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\ModalpopupComponent::class, ['title' => 'receip View']); ?>
<?php $component->withName('modalpopup-component'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal1e92ae5d5d47f7053c11b71ea3ff695c3968f89a)): ?>
<?php $component = $__componentOriginal1e92ae5d5d47f7053c11b71ea3ff695c3968f89a; ?>
<?php unset($__componentOriginal1e92ae5d5d47f7053c11b71ea3ff695c3968f89a); ?>
<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script-content'); ?>


<script>

$(document).on('change','#receiver_id', function() {

$("#donator_id").val('').trigger('change');
});

    $(document).ready( function () {
        datatable_initialise();
    });

    function datatable_initialise(){
  
        $('#example').DataTable({
            "order": [],//to disable initial ordering of datatable column
            //"scrollY":        400,
            // "scrollX":        true,
            // "scrollCollapse": true,
           // "paging":         true,
            "dom" : "QlBftip",
                "buttons" : ['excel','pdf','print'],
        });
    }

    $(".select2-dropdown-donators").select2({
        theme: "bootstrap",
        ajax: {
            type: "POST",
            url: "/donators/getdonators",
            dataType: "json",
            data: function (params) {
                var query = {
                    search: params.term,
                    receiver_id: $("#receiver_id").val(),
                };

                return query;
            },
            processResults: function (data) {
                data.unshift({id:"",text:"All"});
                return {
                    results: data,
                };
            },
        },
    });


$(document).on('click','.listdelete', form_delete);

function form_delete(event){
    
    let id = event.target.dataset.deleteid;
    
    Swaldelete.fire().then((result) => {
        
        if (result.isConfirmed) {
            $.ajax({
                url:`/receipt/${id}`,// don't use global route helper in javascript functions
                type:"DELETE",
                success:function(data){
                    console.log(data);
                    Toastdelete.fire().then((result) => {

                     window.location.href = "/receipt";
                    });
                },
                error:function(){

                }
            });
        }
    });
    
}

$(document).ready( function () {

var start = moment();
var end = moment();

console.log(start);

var fromDate = '';
var toDate = '';

function calendarbox(start, end) {

   fromDate = start.format('YYYY-MM-DD');
   toDate = end.format('YYYY-MM-DD');
   
   $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
}

$('#reportrange').daterangepicker({
    startDate: start,
    endDate: end,
    showDropdowns: true,
    linkedCalendars: false,
    ranges: {
    'Today': [moment(), moment()],
    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
    'Last 7 Days': [moment().subtract(6, 'days'), moment()],
    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
    'This Month': [moment().startOf('month'), moment().endOf('month')],
    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
    }
}, calendarbox);

calendarbox(start, end);



$("#filter-btn").click(function(){

    let formdata = {
        
        filter: "filter",
        receiver_id: $("#receiver_id").val(),
        donator_id: $("#donator_id").val(),
        from_date: fromDate,
        to_date: toDate,
    };

    console.log(formdata);
        $.ajax({
                url:`/receipt`,// don't use global route helper in javascript functions
                type:"GET",
                data : formdata,
                success:function(data){
                    console.log(data);
                    $("#receipt-table-div").html(data);    
                    
                    datatable_initialise();              
                },
                error:function(){
                
            }
        });

});


});


</script>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/exterior/public_html/temple-tax/resources/views/receipt/list.blade.php ENDPATH**/ ?>