 

<?php $__env->startSection('content'); ?>

<div class="card shadow bg-white rounded">
    <div class="card-header">
        <label class="card-title"><h3>Collectors Outstanding Report</h3></label>
       
    </div>
    <div class="card-body">
        <form id="grn-receive-report-form"  class="needs-validation" novalidate>

            

             <div class="row">
                    
                                   
                    <div class="form-group  col-md-2">
                        <label><b>Collectors</b></label>
                        <select name="receiver_id" id="receiver_id"  class="form-control custom-select" style="width:100%;" required>
                            <option value="">All</option>
                            <?php $__currentLoopData = $collectorsdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->id); ?>" ><?php echo e($item->name); ?></option>
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        
                    </select>
                    </div>

                    
                                     
                    <div class="form-group col-md-1">
                       <label>&nbsp;</label><br>
                       <button type="button" id="filter-btn" class="btn btn-primary"><i class="fas fa-search"></i></button> 
                    </div>
                </div>
            </form>
           
       <?php echo $__env->make('layouts.flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
       <div  id="collectorsoutstanding-report-table-div">
             <?php echo $__env->make('collectorsoutstanding-report.table-list', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
       </div>
    </div>
</div>


<?php if (isset($component)) { $__componentOriginal0d6348ac619b3309ba2702d41467c4e067aa8b90 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\ReportlistComponent::class, []); ?>
<?php $component->withName('reportlist-component'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal0d6348ac619b3309ba2702d41467c4e067aa8b90)): ?>
<?php $component = $__componentOriginal0d6348ac619b3309ba2702d41467c4e067aa8b90; ?>
<?php unset($__componentOriginal0d6348ac619b3309ba2702d41467c4e067aa8b90); ?>
<?php endif; ?>
<?php if (isset($component)) { $__componentOriginal25bcc3f9ecba0d280c4595fe7eb81f814dcf0547 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\ReportlistoneComponent::class, []); ?>
<?php $component->withName('reportlistone-component'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal25bcc3f9ecba0d280c4595fe7eb81f814dcf0547)): ?>
<?php $component = $__componentOriginal25bcc3f9ecba0d280c4595fe7eb81f814dcf0547; ?>
<?php unset($__componentOriginal25bcc3f9ecba0d280c4595fe7eb81f814dcf0547); ?>
<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script-content'); ?>

<script>

    var user_id = $('#user_id').val();

$(document).ready(function () {

        var start = moment();
        var end = moment();

        console.log(start);

        var fromDate = '';
        var toDate = '';

        function calendarbox(start, end) {

           fromDate = start.format('YYYY-MM-DD');
           toDate = end.format('YYYY-MM-DD');
           
           $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
        }

        $('#reportrange').daterangepicker({
            startDate: start,
            endDate: end,
            showDropdowns: true,
            linkedCalendars: false,
            ranges: {
            'Today': [moment(), moment()],
            'This Month': [moment().startOf('month'), moment().endOf('month')],
            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            }
        }, calendarbox);

        calendarbox(start, end);
        

        datatable_initialise();

        $("#filter-btn").click(function(){

            let formdata = {
                
                filter: "filter",
                 receiver_id: $("#receiver_id").val(),
                // type_refer: $("#type_refer").val(),
                // from_date: fromDate,
                // to_date: toDate,
            };

            console.log(formdata);
                $.ajax({
                        url:`/collectorsoutstandingreport`,// don't use global route helper in javascript functions
                        type:"GET",
                        data : formdata,
                        success:function(data){
                            console.log(data);
                            $("#collectorsoutstanding-report-table-div").html(data);    
                            
                            datatable_initialise();              
                        },
                        error:function(){
                        
                    }
                });

        });



});

       

    function datatable_initialise(){

        $('#example').DataTable({
            "order": [],
            "stateSave":true,
            "scrollY":        400,
            "scrollX":        true,
            "scrollCollapse": true,
            "paging":         false,

        "stateDuration": -1,
            <?php if(Auth::user()->id == 1): ?>

                    "dom" : "lBftip",
                    "buttons": [
                              {"extend": 'excelHtml5', footer: true, "title": 'Collectors Outstand'},
                              {"extend": 'pdfHtml5', footer: true, "title": 'Collectors Outstand'},
                              {"extend": 'print', footer: true, "title": 'Collectors Outstand'}
                        ],
            <?php endif; ?>
        });
    }

    function openListTransaction(collectors_id,type){

            let formdata = {
                filter: "filter",
                receiver_id: collectors_id,
                type: type,
            };

            $.ajax({

                url:`/collectorsouttransaction`,// don't use global route helper in javascript functions
                type:"GET",
                data : formdata,
                success:function(data){

                    console.log(data);

                    $("#report-list-content-div").html(data);

                    $(".report-slide").css({transition : "none"});
                                    
                    document.getElementById("report-list-nav").style.width = "100%";

                    datatable_initialise_transaction();

                },
                error:function(){
                
                }
            });
      }

            function datatable_initialise_transaction(){

            $('#statement_transaction').DataTable({
            "order": [],
            "stateSave":true,
            "scrollY":        400,
            "scrollX":        true,
            "scrollCollapse": true,
            "stateDuration": -1,
            "paging":         false,

            <?php if(Auth::user()->id == 1): ?>
            "dom" : "lBftip",
            "buttons": [
                              {"extend": 'excelHtml5', footer: true, "title": 'Collectors Outstand Transaction'},
                              {"extend": 'pdfHtml5', footer: true, "title": 'Collectors Outstand Transaction'},
                              {"extend": 'print', footer: true, "title": 'Collectors Outstand Transaction'}
                        ],
            <?php endif; ?>
            });
            }

            function closelistTransaction(){

            document.getElementById("report-list-nav").style.width = "0";

            } 

</script>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/exterior/public_html/temple-tax/resources/views/collectorsoutstanding-report/list.blade.php ENDPATH**/ ?>