  

<?php $__env->startSection('content'); ?>
    
			
<div class="card shadow bg-white rounded">
    <?php if (isset($component)) { $__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\PageheaderComponent::class, ['url' => 'payment.index','title' => 'Edit Payment Entry','editno' => ''.e($data->payment_no).'','pagetype' => 'edit']); ?>
<?php $component->withName('pageheader-component'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1)): ?>
<?php $component = $__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1; ?>
<?php unset($__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1); ?>
<?php endif; ?>
    <form id="payment_entry_form" action="<?php echo e(route('payment.update',[$data->id])); ?>" method="POST" class="needs-validation" novalidate>
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>
        <div class="card-body"> 
            <?php echo $__env->make('layouts.error-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

              <div class="col-md-3">
                <div class="mb-2">
                        <label><b>Date <span style="color: red">*</span></b></label>  
                    
                    <?php if (isset($component)) { $__componentOriginal1d931c60ba9973cefdd958c011fc6ce73bfbc65f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\DateComponent::class, ['datelabel' => '','labelneed' => 'no','date' => ''.e($data->entry_date).'']); ?>
<?php $component->withName('date-component'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['name' => 'entry_date','id' => 'entry_date','required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal1d931c60ba9973cefdd958c011fc6ce73bfbc65f)): ?>
<?php $component = $__componentOriginal1d931c60ba9973cefdd958c011fc6ce73bfbc65f; ?>
<?php unset($__componentOriginal1d931c60ba9973cefdd958c011fc6ce73bfbc65f); ?>
<?php endif; ?>
                </div>
            </div>

            <div class="col-md-3">
                <div class="mb-2">
                    <label><b>Collectors Name <span style="color: red">*</span></b></label>  
                    <select name="collector_name" id="collector_name"  class="form-control custom-select" style="width:100%;" required>
                        <option value="">Select</option>
                        <?php $__currentLoopData = $collectorsdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->id); ?>" <?php if($data->collectors_id == $item->id): ?> selected <?php endif; ?>><?php echo e($item->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>

        <div class="col-md-3">
            <div class="mb-2">
                <label><b>Received By <span style="color: red">*</span></b></label>  
            
                <input type="text" name="received_by" id="received_by" class="form-control"  value="<?php echo e($data->received_by); ?>" required >
        </div>
            </div>

             <div class="col-md-3">
                <div class="mb-2">
                <label ><b>Amount <span style="color: red">*</span></b></label>
           
                <input type="number" name="amount" id="amount" class="form-control" step="any" min="0.01" value="<?php echo e($data->amount); ?>" required >
            </div>
        </div>

                <div class="col-md-3">
                    <div class="mb-2">
                        <label ><b>Description <span style="color: red">*</span></b></label>
               
                    <textarea id="notes" name="notes" rows="4" class="form-control" required><?php echo e($data->description); ?></textarea>
                </div>
            </div>
            
        </div>
        <div class="card-footer">
            <button type="submit" class="btn btn-primary" value="update" id="payment-create-btn">Update</button>
            </div>
    </form>
</div>
            
    
<?php $__env->stopSection(); ?>    

<?php $__env->startSection('script-content'); ?>
<script >

  
        const formObj = document.getElementById("payment_entry_form");
    
        if(formObj){
        formObj.addEventListener('submit',payment_entry_form_submit);
        }
    
    
        function payment_entry_form_submit(e){
    
            let amount = $("#amount").val();
    
            e.preventDefault();
            e.stopPropagation();
            
            var forms = document.getElementsByClassName('needs-validation');
            var validation = Array.prototype.filter.call(forms, function(form) {
            
                if (form.checkValidity() === false) {
                
                    form.classList.add('was-validated');
                
                }else{
    
                    if (amount=='0.00') {
                        ToastWarning.fire({
                            title: "Plaese Check Amount"
                        });
                
                        return false;
                    }
    
                
                    $("#payment-create-btn").prop('disabled',true);
                    $("#payment-create-btn").html('Submitting..');
                    
                    formObj.submit();
            
                }
            });
    
        }
    
    
        </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/exterior/public_html/temple-tax/resources/views/payment/edit.blade.php ENDPATH**/ ?>