<div class="card shadow bg-white rounded">
    <div class="card-body">
        <div id="{{$sublistcontentdiv}}">
            @if($sublisttype == 'create')
            <div class="form-row  sublist-row">
                {{$slot}}
                @if($action == '')
                <div class="form-group col-sm-1">
                    <label><b>Action</b></label>
                    <div>
                        <a class="btn btn-sm btn-danger {{$sublistdelete}}"><i class="fas fa-trash"></i></a>
                    </div>
                </div>
                @endif
            </div>
            
            @elseif($sublisttype == 'update' && $sublistmandatory == 'not mandatory')

                {{$databaseslot}}
                <div class="form-row sublist-row">
                    {{$slot}}
                    @if($action == '')
                    <div class="form-group col-sm-1">
                        <label><b>Action</b></label>
                        <div>
                            <a class="btn btn-sm btn-danger {{$sublistdelete}}"><i class="fas fa-trash"></i></a>
                        </div>
                    </div>
                    @endif
                </div>
            
            @else

            {{$databaseslot}}

            @endif
        </div>
        @if($addnewneed == '')
        <div class="form-group">
            <button type="button" id="{{$sublistaddnew}}" class="btn btn-primary">
                Add New
            </button>
        </div>
        @endif
    </div>
</div>

@section($sublistscript)

<script>
    $(document).ready(function () {

        let ajaxProductType = $("#ajax-product-type").val();
        let appendElement = '';

        $("#{{$sublistaddnew}}").click(function () {

            appendElement = `<div class="form-row sublist-row">
                                    {{$slot}}
                                    <div class="form-group col-sm-1">
                                        <label><b>Action</b></label>
                                        <div>
                                            <a class="btn btn-sm btn-danger {{$sublistdelete}}"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </div>
                                </div>`;

            $("#{{$sublistcontentdiv}}").append(appendElement);

            $('.select2-dropdown').select2({
                //to apply bootstrap theme to select2
                theme: "bootstrap",

            });

            $(".select2-dropdown-ajax-sales-executive-division").select2({
                theme: "bootstrap",
                ajax: {
                    type: "POST",
                    url: "/salesexcutive/division",
                    dataType: "json",
                    data: function (params) {
                        var query = {
                            search: params.term,
                            executive_id: $("#executive_id").val(),
                        };

                        return query;
                    },
                    processResults: function (data) {
                        data.unshift({id:"",text:"Select"});
                        return {
                            results: data,
                        };
                    },
                },
            });
            $(".select2-dropdown-ajax-workorder").select2({
                theme: "bootstrap",
                ajax: {
                    type: "POST",
                    url: "/workorderajax",
                    dataType: "json",
                    data: function (params) {
                        var query = {
                            search: params.term,
                            division: $("#division").val(),
                        };

                        return query;
                    },
                    processResults: function (data) {
                        return {
                            results: data,
                        };
                    },
                },
            });

            $(".select2-dropdown-ajax-sales-return-reason").select2({
                theme: "bootstrap",
                ajax: {
                    type: "POST",
                    url: "/salesreturn/reason",
                    dataType: "json",
                    data: function (params) {
                        var query = {
                            search: params.term,
                        };

                        return query;
                    },
                    processResults: function (data) {
                        data.unshift({id:"",text:"Select"});
                        return {
                            results: data,
                        };
                    },
                },
            });

            $(".select2-dropdown-ajax-transport-group").select2({
                theme: "bootstrap",
                ajax: {
                    type: "POST",
                    url: "/transport/capacitygroup",
                    dataType: "json",
                    data: function (params) {
                        var query = {
                            search: params.term,
                            division: $("#division").val(),
                        };

                        return query;
                    },
                    processResults: function (data) {
                        return {
                            results: data,
                        };
                    },
                },
            });

            $('.select2-dropdown-ajax-product').select2({
                theme: "bootstrap",
                ajax: {
                    type: 'POST',
                    url: '/product/ajaxproducts',
                    dataType: 'json',
                    data: function (params) {
                        var query = {
                            search: params.term,
                            category: ajaxProductType,
                            division: $("#division").val(),
                        }

                        return query;
                    },
                    processResults: function (data) {


                        return {
                            results: data
                        };
                    }

                }
            });
            $(".select2-dropdown-ajax-transport-group").select2({
                theme: "bootstrap",
                ajax: {
                    type: "POST",
                    url: "/transport/capacitygroup",
                    dataType: "json",
                    data: function (params) {
                        var query = {
                            search: params.term,
                            division: $("#division").val(),
                        };

                        return query;
                    },
                    processResults: function (data) {
                        return {
                            results: data,
                        };
                    },
                },
            });

     $(".select2-dropdown-ajax-product-division-fgraw").select2({
        theme: "bootstrap",
        ajax: {
            type: "POST",
            url: "/product/ajaxproducts",
            dataType: "json",
            data: function (params) {
                var query = {
                    search: params.term,
                    category: "division fgraw",
                    division: $("#division").val(),
                };

                return query;
            },
            processResults: function (data) {
                return {
                    results: data,
                };
            },
        },
    });

            $(".select2-dropdown-ajax-product-division").select2({
                theme: "bootstrap",
                ajax: {
                    type: "POST",
                    url: "/product/ajaxproducts",
                    dataType: "json",
                    data: function (params) {
                        var query = {
                            search: params.term,
                            category: "division product",
                            division: $("#division").val(),
                        };

                        return query;
                    },
                    processResults: function (data) {
                        return {
                            results: data,
                        };
                    },
                },
            });

            $('.select2-dropdown-ajax-product-fg').select2({
                theme: "bootstrap",
                ajax: {
                    type: 'POST',
                    url: '/product/ajaxproducts',
                    dataType: 'json',
                    data: function (params) {
                        var query = {
                            search: params.term,
                            category: 'finished goods',
                            division: $("#division").val(),
                        }

                        return query;
                    },
                    processResults: function (data) {


                        return {
                            results: data
                        };
                    }

                }
            });
            $('.select2-dropdown-ajax-product-raw').select2({
                theme: "bootstrap",
                ajax: {
                    type: 'POST',
                    url: '/product/ajaxproducts',
                    dataType: 'json',
                    data: function (params) {
                        var query = {
                            search: params.term,
                            category: 'raw material',
                            division: $("#division").val(),
                        }

                        return query;
                    },
                    processResults: function (data) {


                        return {
                            results: data
                        };
                    }

                }
            });

            $('.select2-dropdown-ajax-product-raw-fg').select2({
            theme: "bootstrap",
            ajax: {
                type: 'POST',
                url: '/product/ajaxproducts',
                dataType: 'json',
                data: function (params) {
                    var query = {
                        search: params.term,
                        category: 'raw material and fg',
                        division: $("#division").val(),
                    }

                    return query;
                },
                processResults: function (data) {


                    return {
                        results: data
                    };
                }

            }
        });

            $(".select2-dropdown-ajax-workcenter").select2({
                theme: "bootstrap",
                ajax: {
                    type: "POST",
                    url: "/workcenter/ajaxworkcenter",
                    dataType: "json",
                    data: function (params) {
                        var query = {
                            search: params.term,
                            division: $("#division").val(),
                        };

                        return query;
                    },
                    processResults: function (data) {
                        return {
                            results: data,
                        };
                    },
                },
            });
            
            $(".select2-dropdown-ajax-assets").select2({
                theme: "bootstrap",
                ajax: {
                    type: "POST",
                    url: "/assetsajax",
                    dataType: "json",
                    data: function (params) {
                        var query = {
                            search: params.term,
                            division: $("#division").val(),
                        };

                        return query;
                    },
                    processResults: function (data) {
                        return {
                            results: data,
                        };
                    },
                },
            });

        $(".select2-dropdown-ajax-warehouse").select2({
            theme: "bootstrap",
            ajax: {

                type: "POST",
                url: "/materialrequestproduct/getwarehouseproduct",
                dataType: "json",
                
                data: function (params) {
                    var query = {
                        search: params.term,
                        product_id: $(this).closest(".sublist-row").find(".product").val(),
                        division_id: $("#division").val(),
                    };

                    return query;
            },
            processResults: function (data) {
                data.unshift({id:"",text:"Select"});
                return {
                    results: data,
                };
            },
        },
    });


  });

       

        $(document).on('click', '.{{$sublistdelete}}', function () {

            if ($('#{{$sublistcontentdiv}} .sublist-row').length > 1) {

                $(this).closest('.sublist-row').remove();

            } else {

                ToastWarning.fire({
                    title: "You should have atleast 1 item to submit"
                });

            }

        });

    });

</script>

@endsection
